# Namespace bot.json

code »
Show:PublicProtectedPrivate

## Global Functions

code » bot.json.parse ( jsonStr ) ⇒ `*`

Parses a JSON string and returns the result.

Parameters

jsonStr: `string`
  The string to parse.

Returns

The JSON object.

Throws

`Error`
  If the input string is an invalid JSON string.

code » bot.json.stringify ( jsonObj, opt_replacer ) ⇒ `string`

Converts a JSON object to its string representation.

Parameters

jsonObj: `*`
  The input object.
opt_replacer: `?(function(string, *): *)=`
  A replacer function called for each (key, value) pair that determines how the value should be serialized. By default, this just returns the value and allows default serialization to kick in.

Returns

A JSON string representation of the input object.

## Global Properties

code » bot.json.SUPPORTS_NATIVE_JSON_ : `boolean`

Whether the current browser supports the native JSON interface.

## Compiler Constants

code » bot.json.NATIVE_JSON : `boolean`